﻿# Script name : M42UEM_add_module_bizLogic.ps1
# Created on  : 16.05.2018
# Created by  : Matrix42, Gregor Daum
# Last change : 18.05.2018 (Gregor Daum)

# Get installation path
$installPath = (Get-ItemProperty -Path HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Matrix42\).InstallLocation

# Add UEM Biz logic module to service host config if not already exists
If((Get-Content -Path $installPath\svc\host.config | Select-String -Pattern "Matrix42.UEMConsole.BizLogic") -eq $null )
    {
        [xml]$xml = (Get-Content $installPath\svc\host.config)
        $newRole = $xml.CreateElement("module")
        $xml.host.modules.AppendChild($newRole)
        $newRole.SetAttribute(“assembly”,”Matrix42.UEMConsole.BizLogic”);
        $xml.Save("$installPath\svc\host.config")

        # Correct incorrect syntax
        Try { (Get-Content -Path $installPath\svc\host.config).Replace('<module assembly="Matrix42.UEMConsole.BizLogic" xmlns="" />', '<module assembly="Matrix42.UEMConsole.BizLogic" />') | Set-Content $installPath\svc\host.config }
        Catch { }
    }